Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
Class UnknownPluginException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.gradle.api.GradleException
                      org.gradle.api.InvalidUserDataException
                          org.gradle.api.plugins.UnknownPluginException

    class UnknownPluginException
    extends InvalidUserDataException

author:
  Hans Dockter

Constructor Summary
`UnknownPluginException()`
`UnknownPluginException(java.lang.String message)`
`UnknownPluginException(java.lang.String message, java.lang.Throwable cause)`
`UnknownPluginException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.RuntimeException
toString, printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, getMessage, getLocalizedMessage, initCause, getStackTrace, setStackTrace, hashCode, getClass, equals, wait, wait, wait, notify, notifyAll

Methods inherited from class java.lang.Exception
toString, printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, getMessage, getLocalizedMessage, initCause, getStackTrace, setStackTrace, hashCode, getClass, equals, wait, wait, wait, notify, notifyAll

Methods inherited from class java.lang.Throwable
toString, printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, getMessage, getLocalizedMessage, initCause, getStackTrace, setStackTrace, hashCode, getClass, equals, wait, wait, wait, notify, notifyAll

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### UnknownPluginException

    public UnknownPluginException()

### UnknownPluginException

    public UnknownPluginException(java.lang.String message)

### UnknownPluginException

    public UnknownPluginException(java.lang.String message, java.lang.Throwable cause)

### UnknownPluginException

    public UnknownPluginException(java.lang.Throwable cause)

Groovy Documentation